curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/rooms/{room_id}/leases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"monthly_rent": "3000000",
"deposit_amount": "3000000",
"end_date": "2023-12-25",
"number_of_occupants": 2,
"note": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/rooms/{room_id}/leases"
payload = {
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"monthly_rent": "3000000",
"deposit_amount": "3000000",
"end_date": "2023-12-25",
"number_of_occupants": 2,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
renter_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_date: '2023-12-25',
monthly_rent: '3000000',
deposit_amount: '3000000',
end_date: '2023-12-25',
number_of_occupants: 2,
note: '<string>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/rooms/{room_id}/leases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"monthly_rent": "3000000",
"deposit_amount": "3000000",
"number_of_occupants": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"note": "<string>"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Start room lease
Starts a lease for the room in the path, using the request body for renter and lease terms.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Room ID
Body
Lease lifecycle fields such as room, renter, rent, deposit, occupant count, dates, and reason.
Request payload for start lease for room.
UUID identifier for renter.
Lease or report start date.
Monthly rent amount for the lease.
"3000000"
Deposit amount recorded for the lease.
"3000000"
Lease or report end date.
Number of occupants assigned to the room or lease.
x >= 1Optional note captured by the operator.
1000Response
Started lease for room
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.